#ifndef __window_h
#define __window_h

#include <tcl.h>
#include <tk.h>

#define COMMS_PLAY    'P'
#define COMMS_REFRESH 'R'
#define COMMS_PAUSE   'S'
#define COMMS_STEP    'F'
#define COMMS_REWIND  'B'
#define COMMS_EXIT    'Q'
#define COMMS_SETLOOP   'L'
#define COMMS_CLEARLOOP 'C'

typedef enum {
  PAUSE_VIDEO,PLAY_VIDEO
} VIDEOMODE;

typedef struct {
  Tk_Window    window;
  Display     *display;
  Tcl_Interp  *interp;
  char        *ditherstring;
  int          ditherType;
  VIDEOMODE    mode;
  int          l_range,cr_range,cb_range;
  VidStream   *theStream;
  int          currentframe; /* Current Frame Number */
  int          at_end;       /* Flag if we have reached the end */
  int          EOF_flag;
  int          comms;        /* File open for communications */
  pid_t        pid;
  int loop;
  int refresh;
  int first;
  int quietFlag;
  int shmemFlag;
  FILE *input;
} WindowConfig;

#endif
